Package org.eclipse.birt.chart.model.attribute

# Interface TooltipValue

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TooltipValueImpl`

public interface TooltipValue extends ActionValue
A representation of the model object 'Tooltip Value'. This type defines the value for a 'Show_Tooltip' action.

The following features are supported:

- `Text`
- `Delay`

See Also:
  - `AttributePackage.getTooltipValue()`

## Method Summary

Modifier and Type
Method
Description
`TooltipValue`
`copyInstance()`
`int`
`getDelay()`
Returns the value of the 'Delay' attribute.
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`String`
`getText()`
Returns the value of the 'Text' attribute.
`boolean`
`isSetDelay()`
Returns whether the value of the ' `Delay`' attribute is set.
`void`
`setDelay(int value)`
Sets the value of the '`Delay`' attribute.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setText(String value)`
Sets the value of the '`Text`' attribute.
`void`
`unsetDelay()`
Unsets the value of the '`Delay`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getText

String getText()
Returns the value of the 'Text' attribute. Attribute "Text" specifies the tooltip text.

Returns:
  the value of the 'Text' attribute.
See Also:
  - `setText(String)`
  - `AttributePackage.getTooltipValue_Text()`

### setText

void setText(String value)
Sets the value of the '`Text`' attribute.

Parameters:
  `value` - the new value of the 'Text' attribute.
See Also:
  - `getText()`

### getDelay

int getDelay()
Returns the value of the 'Delay' attribute. Attribute "Delay" specifies the delay in milliseconds afer which the tooltip is to be shown.

Returns:
  the value of the 'Delay' attribute.
See Also:
  - `isSetDelay()`
  - `unsetDelay()`
  - `setDelay(int)`
  - `AttributePackage.getTooltipValue_Delay()`

### setDelay

void setDelay(int value)
Sets the value of the '`Delay`' attribute.

Parameters:
  `value` - the new value of the 'Delay' attribute.
See Also:
  - `isSetDelay()`
  - `unsetDelay()`
  - `getDelay()`

### unsetDelay

void unsetDelay()
Unsets the value of the '`Delay`' attribute.

See Also:
  - `isSetDelay()`
  - `getDelay()`
  - `setDelay(int)`

### isSetDelay

boolean isSetDelay()
Returns whether the value of the ' `Delay`' attribute is set.

Returns:
  whether the value of the 'Delay' attribute is set.
See Also:
  - `unsetDelay()`
  - `getDelay()`
  - `setDelay(int)`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference. Attribute "FormatSpecifier" specifies the tooltip format.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `AttributePackage.getTooltipValue_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### copyInstance

TooltipValue copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`